librime: rime::Composition Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::Composition Class Reference

`#include <composition.h>`

Inheritance diagram for rime::Composition:
[legend]
Collaboration diagram for rime::Composition:
[legend]

## Public Member Functions
| Composition ()=default
bool | HasFinishedComposition () const
Preedit | GetPreedit (const string &full_input, size_t caret_pos, const string &caret) const
string | GetPrompt () const
string | GetCommitText () const
string | GetScriptText (bool keep_selection=true) const
RIME_DLL string | GetDebugText () const
string | GetTextBefore (size_t pos) const
Public Member Functions inherited from rime::Segmentation
| Segmentation ()
virtual | ~Segmentation ()
void | Reset (const string &input)
void | Reset (size_t num_segments)
bool | AddSegment (Segment segment)
bool | Forward ()
bool | Trim ()
bool | HasFinishedSegmentation () const
size_t | GetCurrentStartPosition () const
size_t | GetCurrentEndPosition () const
size_t | GetCurrentSegmentLength () const
size_t | GetConfirmedPosition () const
const string & | input () const

## Additional Inherited Members
Protected Attributes inherited from rime::Segmentation
string | input_

## Constructor & Destructor Documentation

## ◆ Composition()

rime::Composition::Composition | ( |  | ) |
| default

## Member Function Documentation

## ◆ GetCommitText()

string rime::Composition::GetCommitText | ( |  | ) | const

## ◆ GetDebugText()

string rime::Composition::GetDebugText | ( |  | ) | const

## ◆ GetPreedit()

Preedit rime::Composition::GetPreedit | ( | const string & | full_input,
|  | size_t | caret_pos,
|  | const string & | caret ) const

## ◆ GetPrompt()

string rime::Composition::GetPrompt | ( |  | ) | const

## ◆ GetScriptText()

string rime::Composition::GetScriptText | ( | bool | keep_selection = true | ) | const

## ◆ GetTextBefore()

string rime::Composition::GetTextBefore | ( | size_t | pos | ) | const

## ◆ HasFinishedComposition()

bool rime::Composition::HasFinishedComposition | ( |  | ) | const

The documentation for this class was generated from the following files:

- composition.h
- composition.cc